---
layout: post
title: "Restoring the TI 99/4A, ep. 4"
date: 2025-05-02 16:00:00 +0200
comments: true
categories:
---

## Starting again: active, but weird

I'm back at debugging square 1, as the console is not starting up anymore, and is producing the dreaded continuous tone at boot power-up again.

I've done a cursory check at the power supply voltages (both at the power supply board, and then at the relevant pins of the CPU) and at the four clock signals. Everything seems in order so I'm quickly proceeding through other checks. I'm definitely seeing plenty of activity on various pins of the TMS9900 (READ, A0, databus...) so definitely a very different than my first debugging session, where the CPU was entirely silent.

I'm getting inconsistent readings at GROMs' ~GS~. Tracing up the memory selection logic, I seem to get nowhere. Signals are consistent, but sometimes seem stuck and sometimes seem to have activity.

Tracing up further I'm noticing some strange voltages at various pins of the U508 hex-inverter. Tracing these further up, the TMS9900's DBIN output is fluctuating wildly between -2.2V and 6.4V. That doesn't look good!

## Another look at voltages

That's where I'm taking a closer look at CPU power pins: there's no way DBIN should vary this way. Checking Vcc with the scope, the average value looks good, but taking a closer look reveals extreme variations that can't be right for a power rail!

{% figure caption:"Bad, bad Vcc" %}
![bad Vcc](assets/TI-resto/20250502-bad-Vcc.png)
{% endfigure %}

What's expected there is a steady high +5V from the power supply, just isolated by an inductor acting as RF choke.

{% figure caption:"Vcc's surroundings" %}
![Vcc surroundings](assets/TI-resto/Vcc-MEMEN-circuit.png)
{% endfigure %}

Point 8 (the power supply rail) shows a nice flat +5V trace, but pin 2 of the TMS has these big periodic oscillations between 2.6V and 9.2V -- can't be right!

At this stage the only thing that stands between the nice +5V and the Vcc pin is the L600 inductor, which is there only to block some RF interfeerence. _What if it might be the culprit?_

At that time, the boards are all spread on the table, with no video connection, but I do have a speaker hooked up to the audio output, which allows a quick startup check.

Testing a wild guess, I'm shunting L600 with an alligator clip wire... Power up... Beep! The cheerful, familiar one: **console is starting up** :tada:

This wasn't the most likely culprit, and I don't have a spare at hand, so I'm now waiting for a replacement inductor to test the original one out of circuit, replace it, and see if that fixes the problem for good.